## gcc-mingw-w64 28.1+bootstrap

=== debian/changelog ===
gcc-mingw-w64 (28.1+bootstrap) unstable; urgency=medium

  * Bootstrap in Ubuntu.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jan 2026 18:05:06 +0100
