=== debian/control ===
# This file is generated using debian/rules control, do not edit
Source: gcc-mingw-w64
Maintainer: Stephen Kitt <skitt@debian.org>
Section: devel
Priority: optional
Build-Depends: binutils-mingw-w64-i686,
               binutils-mingw-w64-ucrt64,
               binutils-mingw-w64-x86-64,
               bison,
               debhelper-compat (= 10),
               flex,
               gcc-15-source (>= 15.2.0-11),
               libelf-dev,
               libgmp-dev,
               libisl-dev,
               libmpc-dev,
               libmpfr-dev,
               xz-utils,
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64
Vcs-Git: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64.git
Homepage: https://www.gnu.org/software/gcc/

Package: gcc-mingw-w64-bootstrap
Architecture: any
Multi-Arch: foreign
Depends: binutils-mingw-w64,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-15 (= ${gcc:Version})
Description: GNU Compiler Collection for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit Windows applications using the GNU Compiler Collection (gcc).
 .
 This package contains the GNU Compiler Collection, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets. The bootstrap
 version of the package contains only the minimal C compiler required
 to build MinGW-w64.
