## gcc-mingw-w64 28.1+exp1

=== debian/changelog ===
gcc-mingw-w64 (28.1+exp1) experimental; urgency=medium

  * Start adding autopkgtests, with the reproducer for #1121403.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Jan 2026 09:41:51 +0100
