## gcc-mingw-w64 28.2

=== debian/changelog ===
gcc-mingw-w64 (28.2) unstable; urgency=medium

  [ Stephen Kitt ]
  * Start adding autopkgtests, with the reproducer for #1121403.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.

  [ Konstantin Demin ]
  * Refresh patches.
  * Bump debhelper to 13.
  * d/copyright: switch to https:.
  * Disable NLS for the bootstrap package.
  * Prevent packages from triggering ldconfig.
  * Fix stripping of UCRT binaries.

 -- Stephen Kitt <skitt@debian.org>  Tue, 27 Jan 2026 09:00:04 +0100
