=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,18 @@
 	cat debian/control.source >> $@
 	echo >> $@
 	cat debian/control.bootstrap >> $@
+	for language in $(subst $(comma), ,$(languages)); do \
+		echo >> $@; \
+		sed -f debian/control.$$language.sed debian/control.template >> $@; \
+	done
+	for target in $(subst -w64-mingw32,,$(subst _,-,$(targets))); do \
+		echo >> $@; \
+		sed "s/@@TARGET@@/$$target/g" debian/control.runtime >> $@; \
+	done
+	echo >> $@
+	cat debian/control.ucrt64-runtime >> $@
+	echo >> $@
+	cat debian/control.base >> $@
 	sed -i '/^Recommends: $$/d' $@
 	sed -i '/^Breaks: $$/d' $@
 	sed -i '/^Conflicts: $$/d' $@
@@ -80,6 +92,10 @@
 dpkg_buildflags_host = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-format,-pie" dpkg-buildflags
 dpkg_buildflags_target = DEB_BUILD_MAINT_OPTIONS="hardening=-all qa=-bug-implicit-func" dpkg-buildflags
 
+ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
+CC = gcc-$(target_version)
+CXX = g++-$(target_version)
+endif
 export CC CXX
 
 BUILDFLAGS = CFLAGS CPPFLAGS CXXFLAGS FCFLAGS FFLAGS LDFLAGS
@@ -197,6 +213,9 @@
 	--enable-languages=c,c++
 FULLFLAGS += \
 	--enable-languages=$(languages)
+# NLS is meaningless for bootstrap package
+BOOTFLAGS += \
+	--disable-nls
 # Thread-model-dependent
 THREADFLAGS += \
 	--enable-threads=$$threads \
@@ -217,17 +236,3 @@
 spelling = echo "--- Fix spelling of \"$(1)\" -> \"$(2)\"" >&2 ; find $(upstream_dir)/ -type f -exec grep -FZl -e "$(1)" {} + | xargs -0t sed -i "s/$(1)/$(2)/g" || echo "--- The above fix is no longer necessary"
 
 # Patches applied or unapplied after the upstream sources have been
-# unpacked and patched using the gcc-?-source package's patches
-mingw-w64-patch: mingw-w64-patch-stamp
-mingw-w64-patch-stamp: $(patch_stamp)
-# Apply our second series of patches
-	rm -rf .pc
-	QUILT_SERIES=debian/patches/series2 QUILT_PATCHES=debian/patches quilt push -a
-# Spelling fixes
-	$(call spelling,Allow to,Allow one to)
-	$(call spelling,Var befor:,Var before:)
-	$(call spelling,eroneous,erroneous)
-	$(call spelling,identifer,identifier)
-	$(call spelling,informations,information)
-	$(call spelling,interchage,interchange)
-	$(call spelling,intial,initial)
