=== debian/tests/control ===
Test-Command: x86_64-w64-mingw32ucrt-g++ debian/tests/1121403.cpp -o $AUTOPKGTEST_TMP/1121403.o
Depends: g++-mingw-w64-ucrt64
