## gcc-mingw-w64 28.3

=== debian/changelog ===
gcc-mingw-w64 (28.3) unstable; urgency=medium

  * Disable elfpackagemetadata in target builds.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 Jan 2026 13:24:13 +0100
