=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Source: gcc-mingw-w64
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
-Priority: optional
-Build-Depends: binutils-mingw-w64-i686,
+Build-Depends: debhelper-compat (= 13),
+               binutils-mingw-w64-i686,
                binutils-mingw-w64-ucrt64,
                binutils-mingw-w64-x86-64,
                bison,
-               debhelper-compat (= 10),
                flex,
                g++-15 <!stage1>,
                gcc-15-source (>= 15.2.0-11),
@@ -22,9 +21,9 @@
                mingw-w64-x86-64-dev <!stage1>,
                xz-utils,
                zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64
-Vcs-Git: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64.git -b experimental
+Vcs-Git: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64.git
 Homepage: https://www.gnu.org/software/gcc/
 
 Package: gcc-mingw-w64-bootstrap
