=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,7 @@
 # Format fails the build currently; using PIE produces a compiler
 # which can't build with pre-compiled headers
 dpkg_buildflags_host = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-format,-pie" dpkg-buildflags
-dpkg_buildflags_target = DEB_BUILD_MAINT_OPTIONS="hardening=-all qa=-bug-implicit-func" dpkg-buildflags
+dpkg_buildflags_target = DEB_BUILD_MAINT_OPTIONS="hardening=-all qa=-bug-implicit-func,-elfpackagemetadata" dpkg-buildflags
 
 ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
 CC = gcc-$(target_version)
@@ -235,4 +235,3 @@
 
 spelling = echo "--- Fix spelling of \"$(1)\" -> \"$(2)\"" >&2 ; find $(upstream_dir)/ -type f -exec grep -FZl -e "$(1)" {} + | xargs -0t sed -i "s/$(1)/$(2)/g" || echo "--- The above fix is no longer necessary"
 
-# Patches applied or unapplied after the upstream sources have been
